/* Navigation */

nav {
  width: 100vw;
  height: var(--nav-height);
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  background-color: white;
  z-index: 9999;
  border-bottom: 1px solid white;
}

nav div#icon {
  /* Max width requieres to leave an square for menu button
   * so is 100vw total width
   * - 2rem of padding
   * - size of the button */
  max-width: calc(100vw - 2rem - var(--menu-btn-size));
  width: var(--logo-width);
  height: var(--logo-height);
  display: grid;
  align-items: center;
  padding: 0 1rem;
  background: white;
}

nav div#icon a {
  max-width: var(--logo-width);
  max-height: var(--logo-height);
}

nav div#icon img {
  width: 100%;
  height: auto;
  max-height: var(--logo-height);
}

nav div#menu-btn {
  width: var(--menu-btn-size);
  height: var(--menu-btn-size);
  position: absolute;
  top: 0;
  right: 0;
  display: block;
  cursor: pointer;
  background: var(--blue);
}

nav div#menu-btn div#bar1,
nav div#menu-btn div#bar2,
nav div#menu-btn div#bar3 {
  display: block;
  width: 36px;
  height: 5px;
  background-color: white;
  margin: 6px auto;
  transition: 0.4s;
}

nav div#menu-btn div#bar1 {
  margin-top: 10px;
}

nav div#menu-btn.menu-active div#bar1 {
  -webkit-transform: rotate(-45deg) translate(-9px, 6px);
  transform: rotate(-45deg) translate(-9px, 6px);
}

nav div#menu-btn.menu-active div#bar2 {
  opacity: 0;
}

nav div#menu-btn.menu-active div#bar3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
}

nav div#menu {
  height: var(--nav-height);
  position: absolute;
  top: var(--nav-height);
  left: 0;
  background: var(--blue);
  line-height: 200%;
  padding: 0 1rem;
  display: none;
  align-items: center;
}

nav div#menu.menu-active {
  width: calc(100vw - 2rem); /* - padding */
  height: auto;
  display: block;
  padding: 1rem;
  z-index: 999;
  border-top: 1px solid white;
  border-bottom: 1px solid white;
  animation: from-left 0.25s;
}

nav div#menu.menu-active div#social {
  position: unset;
  justify-content: center;
}

nav div#menu.menu-active div#social a:first-child {
  padding-left: 0;
}

nav div#menu a {
  color: white;
  text-decoration: none;
}

nav div#menu a:not(:first-of-type) {
  padding-left: 1rem;
}

nav div#social {
  height: var(--nav-height);
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  align-items: center;
  background: var(--blue);
  padding: 0 1rem;
}

nav div#social img {
  width: var(--icon-height);
  height: var(--icon-height);
}

div#menu-background {
  display: none;
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: var(--nav-height);
  left: 0;
  z-index: 998;
  background: white;
  opacity: 0.5;
  animation: fade-out 1s;
}

div#menu-background.menu-active {
  display: unset;
  animation: fade-in 0.25s;
}

@keyframes from-left {
  from { left: -100vw}
  to { left: 0 }
}

@keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 0.5; }
}

/* Just for esthetics */
@media all and (min-width: 450px) {
  nav {
    background: var(--blue);
  }
}

/* 1210px is related to the width where all item menu display without issues */
@media all and (min-width: 1210px) {
  nav div#menu {
    position: unset;
    line-height: unset;
    display: flex;
  }

  nav div#menu-btn {
    display: none;
  }
}
